# YouTube Data API

## Instance Methods

Returns the activities Resource.

Returns the captions Resource.

Returns the channelBanners Resource.

Returns the channelSections Resource.

Returns the channels Resource.

Returns the commentThreads Resource.

Returns the comments Resource.

Returns the fanFundingEvents Resource.

Returns the guideCategories Resource.

Returns the i18nLanguages Resource.

Returns the i18nRegions Resource.

Returns the liveBroadcasts Resource.

Returns the liveChatBans Resource.

Returns the liveChatMessages Resource.

Returns the liveChatModerators Resource.

Returns the liveStreams Resource.

Returns the playlistItems Resource.

Returns the playlists Resource.

Returns the search Resource.

Returns the sponsors Resource.

Returns the subscriptions Resource.

Returns the thumbnails Resource.

Returns the videoAbuseReportReasons Resource.

Returns the videoCategories Resource.

Returns the videos Resource.

Returns the watermarks Resource.

Create a BatchHttpRequest object based on the discovery document.

### Method Details

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.